      *-------------------------------------------------------------------------
      *
      * Copyright (c) 2007-2008 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the VUTIL service program.
      *
      * VUTIL is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * VUTIL is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with VUTIL.  If not, see http://www.gnu.org/licenses/.
      *
      *-------------------------------------------------------------------------


      *-------------------------------------------------------------------------
      * Prototypes for ArrayList Utilities
      *-------------------------------------------------------------------------
     D vutil_listFileMembers...
     D                 PR              *   extproc('vutil_listFileMembers')
     D   library                     10A   const
     D   filename                    10A   const
      *
     D vutil_listRecordFormats...
     D                 PR              *   extproc('vutil_listRecordFormats')
     D   library                     10A   const
     D   filename                    10A   const
      *
     D vutil_listObjects...
     D                 PR              *   extproc('vutil_listObjects')
     D   lib                         10A   const
     D   obj                         10A   const options(*omit : *nopass)
     D   type                        10A   const options(*nopass)
      *
     D vutil_listJobLibraryList...
     D                 PR              *   extproc('vutil_listJobLibraryList')
     D   qualJobName                 26A   const options(*omit : *nopass)
     D   internalJobNumber...
     D                               16A   const options(*omit : *nopass)
     D   libParts                    10I 0 const options(*nopass)
      *
     D vutil_listActiveSubsystemJobs...
     D                 PR              *   extproc('vutil_listActiveSubsystemJo-
     D                                     bs')
     D  sbsLib                       10A   const
     D  sbsName                      10A   const


      *-------------------------------------------------------------------------
      * Template Datastructres
      *-------------------------------------------------------------------------
     D vutil_tmpl_object...
     D                 DS                  based(nullPointer) qualified
     D   library                     10A
     D   object                      10A
     D   type                        10A
      *
     D vutil_tmpl_job...
     D                 DS                  based(nullPointer) qualified
     D   name                        10A
     D   user                        10A
     D   number                       6A


      *-------------------------------------------------------------------------
      * Constants for Linked List Utilities
      *-------------------------------------------------------------------------
     D VUTIL_SYSTEM_LIB...
     D                 C                   1
     D VUTIL_PRODUCT_LIB...
     D                 C                   2
     D VUTIL_CURRENT_LIB...
     D                 C                   4
     D VUTIL_USER_LIB...
     D                 C                   8
     D VUTIL_ALL_LIBS...
     D                 C                   15
